clear;
beta = 0.99;
epsilon = 10;
mu = 0;
nstar = 0.2;
markup = epsilon/(epsilon-1);
chi = 1/(markup*nstar^(1+mu));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Baseline calibration: alpha = 0.50
load sol_alpha05
alpha = 0.5;
istar1 = 2;
vprime = (v1_m(istar1,:)-u_m(istar1,:))/beta;
A050 = [mgrid, u_m(istar1,:)', vprime'];
[~,vm1] = max(v1_m(istar1,:));
[~,um1] = max(u_m(istar1,:));
[dss1,piss1,p0ss1] = steadystate_cheb(dmin,dmax,nd,p01,alpha,epsilon);
mss1 = interp1(dgrid,Gamma0,dss1);
css1 = mss1/piss1;
mkpss1 = 1/(chi*css1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calvo parameter alpha = 0.70
load sol_alpha07
alpha = 0.70;
istar2 = 5;
vprime = (v1_m(istar2,:)-u_m(istar2,:))/beta;
A070 = [mgrid, u_m(istar2,:)', vprime'];
[~,vm2] = max(v1_m(istar2,:));
[~,um2] = max(u_m(istar2,:));
[dss2,piss2,p0ss2] = steadystate_cheb(dmin,dmax,nd,p01,alpha,epsilon);
mss2 = interp1(dgrid,Gamma0,dss2);
css2 = mss2/piss2;
mkpss2 = 1/(chi*css2);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calvo parameter alpha = 0.8
load sol_alpha08
alpha = 0.80;
istar3 = 9;
vprime = (v1_m(istar3,:)-u_m(istar3,:))/beta;
A080 = [mgrid, u_m(istar3,:)', vprime'];
[~,vm3] = max(v1_m(istar3,:));
[~,um3] = max(u_m(istar3,:));
[dss3,piss3,p0ss3] = steadystate_cheb(dmin,dmax,nd,p01,alpha,epsilon);
mss3 = interp1(dgrid,Gamma0,dss3);
css3 = mss3/piss3;
mkpss3 = 1/(chi*css3);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calvo parameter alpha = 0.90
load sol_alpha09
alpha = 0.90;
istar4 = 9;
vprime = (v1_m(istar4,:)-u_m(istar4,:))/beta;
A090 = [mgrid, u_m(istar4,:)', vprime'];
[~,vm4] = max(v1_m(istar4,:));
[~,um4] = max(u_m(istar4,:));
[dss4,piss4,p0ss4] = steadystate_cheb(dmin,dmax,nd,p01,alpha,epsilon);
mss4 = interp1(dgrid,Gamma0,dss4);
css4 = mss4/piss4;
mkpss4 = 1/(chi*css4);

save value_alpha A050 A070 A080 A090

disp([0.5,0.7,0.8,0.9])

disp(100*[piss1^4-1,piss2^4-1,piss3^4-1,piss4^4-1])
disp([p0ss1,p0ss2,p0ss3,p0ss4])
disp([dss1,dss2,dss3,dss4])
disp([mkpss1,mkpss2,mkpss3,mkpss4])
disp([mss1,mss2,mss3,mss4])
% disp([css1,css2,css3,css4])