% function dprimegrid = dprime(p0,dgrid,alpha,epsilon)
% Requires the function inflation(p0,alpha,epsilon)
function dprimegrid = dprime(p0,dgrid,alpha,epsilon)
[n,m] = size(p0);

dprimegrid([1:n],[1:m]) = ...
    (inflation(p0([1:n],[1:m]),alpha,epsilon).^epsilon).*((1-alpha)*p0([1:n],[1:m]).^(-epsilon) + alpha*(dgrid*ones(1,m)));
%
maxd = max(dgrid);
mind = min(dgrid);
maxdmat = maxd*ones(n,m);
mindmat = mind*ones(n,m);
dprimegrid1 = min(dprimegrid,maxdmat);
dprimegrid = max(dprimegrid1,mindmat);
% for j=1:m
% for i=1:n
%     if dprimegrid(i,j) > max(dgrid)
%         dprimegrid(i,j) = max(dgrid);
%     elseif dprimegrid(i,j) < min(dgrid)
%         dprimegrid(i,j) = min(dgrid);
%     end
% end   
% end
